Get a prompt
Read one prompt’s daily series, top sources and recent scored answers.
GET
/
v1
/
monitors
/
{id}
/
prompt
Get one prompt
curl --request GET \
--url https://api.querying.ai/v1/monitors/{id}/prompt \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.querying.ai/v1/monitors/{id}/prompt"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.querying.ai/v1/monitors/{id}/prompt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/monitors/{id}/prompt",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/monitors/{id}/prompt"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.querying.ai/v1/monitors/{id}/prompt")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/monitors/{id}/prompt")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"monitor": {
"id": "<string>",
"name": "<string>",
"engines": [
"CHATGPT"
],
"aliases": [
"<string>"
]
},
"prompt": "<string>",
"series": [
{
"day": "2023-11-07T05:31:56Z",
"engine": "CHATGPT",
"runs": 123,
"mentioned": 123,
"cited": 123
}
],
"topDomains": [
{
"domain": "<string>",
"citations": 123,
"prompts": 123,
"own": true
}
],
"topPages": [
{
"url": "<string>",
"domain": "<string>",
"label": "<string>",
"citations": 123,
"prompts": 123,
"own": true
}
],
"results": [
{
"taskId": "<string>",
"engine": "CHATGPT",
"prompt": "<string>",
"mentioned": true,
"cited": true,
"position": 123,
"ranAt": "2023-11-07T05:31:56Z",
"competitorHits": [
"<string>"
]
}
],
"windowDays": 7
}
}
Authorizations
Your API key, sent as Authorization: Bearer <key>.
Path Parameters
Query Parameters
Maximum string length:
2000Available options:
7, 30, 90 ⌘I
Get one prompt
curl --request GET \
--url https://api.querying.ai/v1/monitors/{id}/prompt \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.querying.ai/v1/monitors/{id}/prompt"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.querying.ai/v1/monitors/{id}/prompt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/monitors/{id}/prompt",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/monitors/{id}/prompt"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.querying.ai/v1/monitors/{id}/prompt")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/monitors/{id}/prompt")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"monitor": {
"id": "<string>",
"name": "<string>",
"engines": [
"CHATGPT"
],
"aliases": [
"<string>"
]
},
"prompt": "<string>",
"series": [
{
"day": "2023-11-07T05:31:56Z",
"engine": "CHATGPT",
"runs": 123,
"mentioned": 123,
"cited": 123
}
],
"topDomains": [
{
"domain": "<string>",
"citations": 123,
"prompts": 123,
"own": true
}
],
"topPages": [
{
"url": "<string>",
"domain": "<string>",
"label": "<string>",
"citations": 123,
"prompts": 123,
"own": true
}
],
"results": [
{
"taskId": "<string>",
"engine": "CHATGPT",
"prompt": "<string>",
"mentioned": true,
"cited": true,
"position": 123,
"ranAt": "2023-11-07T05:31:56Z",
"competitorHits": [
"<string>"
]
}
],
"windowDays": 7
}
}